function ToolsQuickLoot:OpenClam()
	local f = CreateFrame("Frame", nil)
	local loot = function(bag, slot)
		local chk = GetAutoLootDefault()
		SetAutoLootDefault(1)
		UseContainerItem(bag, slot)
		SetAutoLootDefault(chk and 1 or 0)
	end
	f:RegisterEvent("LOOT_OPENED")
	f:RegisterEvent("LOOT_CLOSED")
	f:RegisterEvent("BAG_UPDATE")
	f:SetScript("OnEvent", function()
		if event == "LOOT_OPENED" then
			self.LootClamData = {}
			local sum = 0
			for i = 1, self.Loot.numLootItems do
				if (LootSlotIsItem(i)) then
					local t = select(2, GetLootSlotInfo(i))
					if string.find(t, "조개") then
						tinsert(self.LootClamData, t)
						sum = sum + 1
					end
				end
			end
			if sum == 0 then
				self.LootClamData = nil
			end
			return
		end
		if event == "LOOT_CLOSED" then
			if self.LootClamData then
				self.WaitUpdate = true
			else
				self.WaitUpdate = nil
			end
			return
		end
		if self.WaitUpdate then
			if not self.LootClamData then return end
			for i = 1, #self.LootClamData do
				self:FindBagSlot(self.LootClamData[i])
				if self.finditemslot then
					loot(unpack(self.finditemslot))
				end
			end
			self.LootClamData = nil
		end
	end)
end
ToolsQuickLoot:OpenClam()